cURL
curl -H "X-API-Key: $PARTICLE_API_KEY" \
"https://api.particle.pro/v1/podcasts/{id}/episodes?limit=25"{
"data": [
{
"duration_seconds": 123,
"explicit": true,
"has_transcript": true,
"id": "<string>",
"title": "<string>",
"audio_url": "<string>",
"clip_count": 123,
"clips": [
{
"duration_seconds": 123,
"end_seconds": 123,
"engagement_score": 123,
"id": "<string>",
"start_seconds": 123,
"title": "<string>",
"audio_url": "<string>",
"description": "<string>",
"episode": {
"id": "<string>",
"title": "<string>",
"podcast": {
"id": "<string>",
"title": "<string>",
"image_url": "<string>",
"slug": "<string>"
},
"published_at": "2023-11-07T05:31:56Z",
"slug": "<string>"
},
"intro_statement": "<string>",
"segment": {
"id": "<string>",
"title": "<string>",
"type": "<string>"
},
"speaker": {
"name": "<string>",
"entity": {
"id": "<string>",
"name": "<string>",
"slug": "<string>",
"company": {
"id": "<string>",
"domain": "<string>",
"ticker": "<string>"
},
"description": "<string>",
"person": {
"id": "<string>",
"company": "<string>",
"image_url": "<string>",
"title": "<string>"
},
"type": {
"name": "<string>",
"slug": "<string>"
},
"wikipedia_url": "<string>"
},
"person": {
"id": "<string>",
"name": "<string>",
"image_url": "<string>",
"slug": "<string>"
},
"role": "<string>"
}
}
],
"description": "<string>",
"entity_count": 123,
"episode_number": 123,
"image_url": "<string>",
"language": "<string>",
"podcast": {
"id": "<string>",
"title": "<string>",
"image_url": "<string>",
"slug": "<string>"
},
"published_at": "2023-11-07T05:31:56Z",
"segment_count": 123,
"segments": [
{
"duration_seconds": 123,
"end_seconds": 123,
"id": "<string>",
"number": 123,
"start_seconds": 123,
"title": "<string>",
"type": "<string>",
"audio_url": "<string>",
"description": "<string>",
"episode": {
"id": "<string>",
"title": "<string>",
"podcast": {
"id": "<string>",
"title": "<string>",
"image_url": "<string>",
"slug": "<string>"
},
"published_at": "2023-11-07T05:31:56Z",
"slug": "<string>"
},
"read_type": "<string>",
"summary": "<string>"
}
],
"slug": "<string>",
"speakers": [
{
"name": "<string>",
"description": "<string>",
"descriptor": "<string>",
"entity": {
"id": "<string>",
"name": "<string>",
"slug": "<string>",
"company": {
"id": "<string>",
"domain": "<string>",
"ticker": "<string>"
},
"description": "<string>",
"person": {
"id": "<string>",
"company": "<string>",
"image_url": "<string>",
"title": "<string>"
},
"type": {
"name": "<string>",
"slug": "<string>"
},
"wikipedia_url": "<string>"
},
"person": {
"id": "<string>",
"name": "<string>",
"image_url": "<string>",
"slug": "<string>"
},
"role": "<string>",
"speaking_duration_seconds": 123
}
],
"topics": [
{
"id": "<string>",
"name": "<string>",
"slug": "<string>",
"ancestry": "<string>",
"ancestry_path": "<string>",
"episode_count": 123
}
],
"transcript": {
"duration_seconds": 123,
"episode_id": "<string>",
"lines": [
{
"end_seconds": 123,
"number": 123,
"speaker": "<string>",
"start_seconds": 123,
"text": "<string>",
"role": "<string>"
}
],
"language": "<string>"
},
"url": "<string>",
"videos": [
{
"url": "<string>",
"duration_seconds": 123,
"height": 123,
"mime_type": "<string>",
"width": 123
}
]
}
],
"has_more": true,
"cursor": "<string>"
}Podcasts
List episodes for a podcast
Returns a paginated list of episodes for a specific podcast, identified by slug (e.g., ‘all-in’) or ID.
GET
/
v1
/
podcasts
/
{id}
/
episodes
cURL
curl -H "X-API-Key: $PARTICLE_API_KEY" \
"https://api.particle.pro/v1/podcasts/{id}/episodes?limit=25"{
"data": [
{
"duration_seconds": 123,
"explicit": true,
"has_transcript": true,
"id": "<string>",
"title": "<string>",
"audio_url": "<string>",
"clip_count": 123,
"clips": [
{
"duration_seconds": 123,
"end_seconds": 123,
"engagement_score": 123,
"id": "<string>",
"start_seconds": 123,
"title": "<string>",
"audio_url": "<string>",
"description": "<string>",
"episode": {
"id": "<string>",
"title": "<string>",
"podcast": {
"id": "<string>",
"title": "<string>",
"image_url": "<string>",
"slug": "<string>"
},
"published_at": "2023-11-07T05:31:56Z",
"slug": "<string>"
},
"intro_statement": "<string>",
"segment": {
"id": "<string>",
"title": "<string>",
"type": "<string>"
},
"speaker": {
"name": "<string>",
"entity": {
"id": "<string>",
"name": "<string>",
"slug": "<string>",
"company": {
"id": "<string>",
"domain": "<string>",
"ticker": "<string>"
},
"description": "<string>",
"person": {
"id": "<string>",
"company": "<string>",
"image_url": "<string>",
"title": "<string>"
},
"type": {
"name": "<string>",
"slug": "<string>"
},
"wikipedia_url": "<string>"
},
"person": {
"id": "<string>",
"name": "<string>",
"image_url": "<string>",
"slug": "<string>"
},
"role": "<string>"
}
}
],
"description": "<string>",
"entity_count": 123,
"episode_number": 123,
"image_url": "<string>",
"language": "<string>",
"podcast": {
"id": "<string>",
"title": "<string>",
"image_url": "<string>",
"slug": "<string>"
},
"published_at": "2023-11-07T05:31:56Z",
"segment_count": 123,
"segments": [
{
"duration_seconds": 123,
"end_seconds": 123,
"id": "<string>",
"number": 123,
"start_seconds": 123,
"title": "<string>",
"type": "<string>",
"audio_url": "<string>",
"description": "<string>",
"episode": {
"id": "<string>",
"title": "<string>",
"podcast": {
"id": "<string>",
"title": "<string>",
"image_url": "<string>",
"slug": "<string>"
},
"published_at": "2023-11-07T05:31:56Z",
"slug": "<string>"
},
"read_type": "<string>",
"summary": "<string>"
}
],
"slug": "<string>",
"speakers": [
{
"name": "<string>",
"description": "<string>",
"descriptor": "<string>",
"entity": {
"id": "<string>",
"name": "<string>",
"slug": "<string>",
"company": {
"id": "<string>",
"domain": "<string>",
"ticker": "<string>"
},
"description": "<string>",
"person": {
"id": "<string>",
"company": "<string>",
"image_url": "<string>",
"title": "<string>"
},
"type": {
"name": "<string>",
"slug": "<string>"
},
"wikipedia_url": "<string>"
},
"person": {
"id": "<string>",
"name": "<string>",
"image_url": "<string>",
"slug": "<string>"
},
"role": "<string>",
"speaking_duration_seconds": 123
}
],
"topics": [
{
"id": "<string>",
"name": "<string>",
"slug": "<string>",
"ancestry": "<string>",
"ancestry_path": "<string>",
"episode_count": 123
}
],
"transcript": {
"duration_seconds": 123,
"episode_id": "<string>",
"lines": [
{
"end_seconds": 123,
"number": 123,
"speaker": "<string>",
"start_seconds": 123,
"text": "<string>",
"role": "<string>"
}
],
"language": "<string>"
},
"url": "<string>",
"videos": [
{
"url": "<string>",
"duration_seconds": 123,
"height": 123,
"mime_type": "<string>",
"width": 123
}
]
}
],
"has_more": true,
"cursor": "<string>"
}Authorizations
ApiKeyHeaderBearerAuth
Pass your API key in the X-API-Key header (recommended).
Path Parameters
Podcast slug (e.g., 'all-in'), internal ID, or numeric iTunes ID
Query Parameters
Results per page
Required range:
1 <= x <= 100Opaque pagination cursor from previous response
Only episodes published after this ISO 8601 date or date-time (e.g. 2024-01-01 or 2024-01-01T00:00:00Z)
Only episodes published before this ISO 8601 date or date-time (e.g. 2024-01-01 or 2024-01-01T00:00:00Z)
Was this page helpful?
⌘I